[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Installemdebian crush on a Freescale IMX35 CPU, gcc-4.4-arm-linux-gnueabi not installable - compiler issue solved

To install gcc-4.4-arm-linux-gnueabi I had to do that:
sudo apt-cross -f -a armel -i libgcc1
Afterward the gnueabi tools could be installed with the synaptic package

On Tue, 2009-08-04 at 15:59 +0200, hoefle marco wrote:
> Hi,
> I want to install emdebian on a phytec imx35 cpu board. There is
> currently linux running (from phytec).
> We have a working pxa270 emdebian system and so the first approach was
> to copy the same emdebian-arm.tgz tar-ball as used for the pxa270 on the
> new target, extract it and to run the secondstage script.
> The second stage script could not execute the binaries so I think it is
> due to the wrong EABI. The Kernel was compiled with ARM ABI (aka EABI).
> So I suppose the emdebian tarball needs to be created with the armel
> architecture to be able to run the emsecondstage script. Thus I used
> sudo dpkg-reconfigure dpkg-cross and sudsudo emsetup.
> emsetup finished with the following dependency error:
> The following packages have unmet dependencies:
>   gcc-4.4-arm-linux-gnueabi: Depends: libgomp1 (>= 4.4.1-1) but 4.4.0-5
> is to be installed
>   libgcc1-armel-cross: Depends: gcc-4.4-base-armel-cross (= 4.4.1-1) but
> it is not installable
> E: Broken packages
> This is my sources.list config:
> deb http://security.debian.org/ lenny/updates main
> deb http://www.emdebian.org/debian/ testing main
> deb http://http.us.debian.org/debian/ lenny-proposed-updates main
> deb http://http.us.debian.org/debian testing main contrib non-free
> deb-src http://http.us.debian.org/debian/ lenny main
> deb-src http://www.emdebian.org/debian/ testing main
> Does somebody have any Ideas to solve this problem?
> I don't care weather the arm abi is used or not, I just want to have
> emdebian crush on the board.
> Cheers,
> Marco

Reply to: